Subject: Re: Conversation with LSM Automation Bot - API duplication - [#12696088]
From: Arputha Gunasekaran <[email-masked]>
To: [email-masked]
Date: Fri, 02 Sep 2022 13:17:13 +0000

Hi Team,     Good day.     Could you point me to the right action here that you are looking to know more about? I've checked ticket 4805037 and see that the action after tag LSM_AX_Escalated is added is a private note, not a reply to a private note:       Awaiting your response so I could have the logs checked accordingly.     Check your ticket status - https://support.freshdesk.com/support/tickets/12696088       Regards,  Arputha  Technical Account Manager, Freshdesk  Schedule a call with me here.   
                           
                            On
                            Fri, 2 Sep at  4:53 PM
                            ,  Seeta Seeta <[email-masked]>  wrote:

              
 LSM Automation Bot 
                   Hello Team           03:51 PM, 02nd Sep      

              
 LSM Automation Bot 
                   Need help regarding API           03:51 PM, 02nd Sep      

            
 Sarvajit                   Hello LSM Automation Bot, This is Sarvajit from the Freshdesk Support team. Hope you are well and safe. How may I assist you today?           03:51 PM, 02nd Sep 

              
 LSM Automation Bot 
                   The API are getting triggered mulitple time. However, we are performing action only one           03:51 PM, 02nd Sep      

              
 LSM Automation Bot 
                   once*           03:52 PM, 02nd Sep      

            
 Sarvajit                   Could you please elaborate on your query with a few screenshots so we can check this?           03:55 PM, 02nd Sep 

              
 LSM Automation Bot 
                   Screenshot I cannot provide           03:58 PM, 02nd Sep      

              
 LSM Automation Bot 
                   We are using POST API           03:58 PM, 02nd Sep      

              
 LSM Automation Bot 
                   Its getting triggered muliple times. We are getting multiple result in our Database for a single action           03:59 PM, 02nd Sep      

            
 Sarvajit                   Please stay connected while I get back to you with the required information.           04:00 PM, 02nd Sep 

            
 Sarvajit                   Could you please share the response where you are getting multiple times?           04:07 PM, 02nd Sep 

              
 LSM Automation Bot 
                   which response are you talking about?           04:14 PM, 02nd Sep      

            
 Sarvajit                   Its getting triggered muliple times. We are getting multiple result in our Database for a single action - This response.           04:14 PM, 02nd Sep 

              
 LSM Automation Bot 
                   That in our database. We cannot see in Freshdesk           04:21 PM, 02nd Sep      

              
 LSM Automation Bot 
                   For example - TIcket #4805037  We triggered the API one time in this ticket. However, in our database we get multiple results           04:22 PM, 02nd Sep      

            
 Sarvajit                   How are you confirming if its triggered multiple times?           04:23 PM, 02nd Sep 

            
 Sarvajit                   We triggered the API one time in this ticket. However, in our database we get multiple results - Please help me with the screenshot of the response.           04:23 PM, 02nd Sep 

            
 Sarvajit                   So we could check this further.           04:23 PM, 02nd Sep 

              
 LSM Automation Bot 
                   Okay           04:24 PM, 02nd Sep      

            
 Sarvajit                   Thank you           04:24 PM, 02nd Sep 

              
 LSM Automation Bot 
                  
 We triggered this at 1:59PM and you can see the another actione at 2:05PM again 
          04:27 PM, 02nd Sep      

            
 Sarvajit                   I will help you here.           04:28 PM, 02nd Sep 

            
 Sarvajit                   I could see that both are different.           04:30 PM, 02nd Sep 

            
 Sarvajit                   at 1:59pm an automation rule was executed whereas at 2:05pm you replied to a forwarded message.           04:30 PM, 02nd Sep 

              
 LSM Automation Bot 
                   no           04:34 PM, 02nd Sep      

            
 Sarvajit                            04:35 PM, 02nd Sep 

            
 Sarvajit                            04:35 PM, 02nd Sep 

              
 LSM Automation Bot 
                   Whatever action done by LSM AUTIOMATION. Its only by API           04:35 PM, 02nd Sep      

            
 Sarvajit                   You can see that both are different here.           04:35 PM, 02nd Sep 

              
 LSM Automation Bot 
                   we do not do manual action via LSM AUTOMATION           04:36 PM, 02nd Sep      

            
 Sarvajit                   Reply to a forwarded message cannot be done via API           04:36 PM, 02nd Sep 

              
 LSM Automation Bot 
                   We do it via our own database           04:36 PM, 02nd Sep      

            
 Sarvajit                   LSM automation can be done via API. but replying to a forwarded message cannot be done via API.           04:37 PM, 02nd Sep 

            
 Sarvajit                   We do not have an API for that.           04:37 PM, 02nd Sep 

              
 LSM Automation Bot 
                   https://developers.freshdesk.com/api/#reply_to_forward           04:43 PM, 02nd Sep      

              
 LSM Automation Bot 
                   Can you explain me this then?           04:44 PM, 02nd Sep      

              
 LSM Automation Bot 
                   Transfer this chat to your Manager           04:44 PM, 02nd Sep      

            
 Sarvajit                   Are you referring to this API document?           04:45 PM, 02nd Sep 

              
 LSM Automation Bot 
                   Yes           04:45 PM, 02nd Sep      

              
 LSM Automation Bot 
                  
 You said reply to forward is not possible. Why did you mention here then? 
          04:47 PM, 02nd Sep      

              
 LSM Automation Bot 
                   I told you that we using that           04:47 PM, 02nd Sep      

            
 Sarvajit                   Apologies here.           04:49 PM, 02nd Sep 

            
 Sarvajit                   This would be possible.           04:49 PM, 02nd Sep 

              
 LSM Automation Bot 
                   Thanks, please confirm why it getting triggered more than 1 time           04:50 PM, 02nd Sep      

            
 Sarvajit                   Can I have this chat converted as a ticket and will loop in your Account Manager to help you with?           04:51 PM, 02nd Sep 

            
 Sarvajit                   Have a great day ahead.           04:52 PM, 02nd Sep 

       

 View conversation in Freshchat